$max_limit_height_Divider: 72;

$no_parent_dim: 0;
$parent_dim_variable: 1;
$parent_dim_fixed: 2;

@mixin Item_dim($token) {
  width: #{$token * 4+4}rem;
  height: #{$max_limit_height_Divider/($token * 4+4)}rem;
}

@mixin parent_dim($token) {
  @if $token == 1 {
    width: 60vw;
    height: 95vh;
  }

  @if $token == 2 {
    width: 700px;
    height: 500px;
  }
}

html {
  font-size: 50%;
  background: #fff7f6;
}

.container {

  @include parent_dim($parent_dim_fixed);
 
 //  @include parent_dim($no_parent_dim);
  // @include parent_dim($parent_dim_variable);
 


  margin: auto;
  border: 5px dashed tomato;




  // display:  inline-flex;
  // display:  flex;
  // flex-wrap: wrap;
  // flex-direction: row;
  // flex-direction: row-reverse;
  // flex-direction: column;
  // flex-direction: column-reverse;




  // overflow: hidden;
  // align-content: center;
  // align-items:flex-end;
  //justify-content: center;
}

.item {
  font-size: 3rem;
  line-height: 1;
  text-align: center;
  background: mistyrose;
  border: 3px solid tomato;
  color: tomato;
  margin: 6px;
}

.item.item-0,
.item.item-3,
.item.item-6 {
  @include Item_dim(0);
}
.item.item-1,
.item.item-4,
.item.item-7 {
  @include Item_dim(1);
}
.item.item-2,
.item.item-5,
.item.item-8 {
  @include Item_dim(2);
}
